Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.codegen
Class ClassFactory

    java.lang.Object
      java.lang.ClassLoader
          uchicago.src.codegen.ClassFactory

    public class ClassFactory

extends java.lang.ClassLoader

Constructor Summary
`ClassFactory()`
`ClassFactory(java.lang.ClassLoader loader)`

Method Summary
`java.lang.Class` | `loadClass(com.go.trove.classfile.ClassFile cf)`
`static void` | `main(java.lang.String[] args)`
`com.go.trove.classfile.ClassFile` | `makeClassFile(java.lang.String path)`
`com.go.trove.classfile.ClassFile` | `makeInner(java.lang.String name, com.go.trove.classfile.ClassFile cf, java.lang.Class outerClass)`
`java.lang.Object` | `makeObject(java.lang.Class clazz, java.lang.Class[] cParam, java.lang.Object[] iParam)`
`java.lang.Object` | `makeObject(com.go.trove.classfile.ClassFile cf, java.lang.Class[] cParam, java.lang.Object[] iParam)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassFactory

    public ClassFactory()

### ClassFactory

    public ClassFactory(java.lang.ClassLoader loader)

Method Detail

### makeClassFile

    public com.go.trove.classfile.ClassFile makeClassFile(java.lang.String path)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadClass

    public java.lang.Class loadClass(com.go.trove.classfile.ClassFile cf)
                              throws java.io.IOException,
                                     java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### makeInner

    public com.go.trove.classfile.ClassFile makeInner(java.lang.String name,
                                                      com.go.trove.classfile.ClassFile cf,
                                                      java.lang.Class outerClass)

### makeObject

    public java.lang.Object makeObject(com.go.trove.classfile.ClassFile cf,
                                       java.lang.Class[] cParam,
                                       java.lang.Object[] iParam)
                                throws java.lang.NoSuchMethodException,
                                       java.lang.ClassNotFoundException,
                                       java.io.IOException,
                                       java.lang.reflect.InvocationTargetException,
                                       java.lang.IllegalAccessException,
                                       java.lang.InstantiationException

  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### makeObject

    public java.lang.Object makeObject(java.lang.Class clazz,
                                       java.lang.Class[] cParam,
                                       java.lang.Object[] iParam)
                                throws java.lang.NoSuchMethodException,
                                       java.lang.ClassNotFoundException,
                                       java.lang.reflect.InvocationTargetException,
                                       java.lang.IllegalAccessException,
                                       java.lang.InstantiationException

  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.ClassNotFoundException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD